# Class FormSubmitFailedDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:17

#####
Index

### Constructors

constructor

### Properties

formDirective
subscription?
template
viewContainerRef

### Methods

ngAfterViewInit
ngOnDestroy

## Constructors

### constructor

- new FormSubmitFailedDirective(formDirective, template, viewContainerRef): FormSubmitFailedDirective

- #### Parameters

  - formDirective: FormDirective<any>
  - template: TemplateRef<{
    $implicit: Error;
    }>
  - viewContainerRef: ViewContainerRef

  #### Returns FormSubmitFailedDirective

  - Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:21

## Properties

### `Private` `Readonly` formDirective

formDirective: FormDirective<any>

- Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:22

### `Private` `Optional` subscription

subscription?: Subscription

- Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:19

### `Private` `Readonly` template

template: TemplateRef<{
$implicit: Error;
}>

#### Type declaration

- ##### $implicit: Error

- Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:23

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:24

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:28

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:39